package com.cku.dao;

import com.cku.model.CkuUserPayType;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

public interface CkuUserPayTypeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuUserPayType record);

    int insertSelective(CkuUserPayType record);

    CkuUserPayType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuUserPayType record);

    int updateByPrimaryKey(CkuUserPayType record);
    /**
     * 得到订单业务类型
     */
	CkuUserPayType getPayType(@Param("id")String id);

	/**
	 * 已改
	 * @Description：根据业务名称获取业务编号
	 * @author: zhuoHeng
	 * @version: 2016年9月13日 上午10:15:50
	 */
	CkuUserPayType getPaymentCode(String name);

	CkuUserPayType getPaymentCodeByShortName(String shortName);

	void updateCouponBy(@Param("pedigreeNum") String pedigreeNum, @Param("ckuId") String ckuId, @Param("date") Date date,@Param("targetId") String targetId);
}